# ApplicationFramework
PTKernel
PColStd

# PColStd_HArray1OfPersistent Class Reference

`#include <PColStd_HArray1OfPersistent.hxx>`

## Public Member Functions

Standard_EXPORT | PColStd_HArray1OfPersistent (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColStd_HArray1OfPersistent (const Standard_Integer Low, const Standard_Integer Up, const Handle(Standard_Persistent)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(Standard_Persistent)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_Standard_Persistent | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HArray1OfPersistent ()
| PColStd_HArray1OfPersistent (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfPersistentLowerBound () const
void | _CSFDB_SetPColStd_HArray1OfPersistentLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray1OfPersistentUpperBound () const
void | _CSFDB_SetPColStd_HArray1OfPersistentUpperBound (const Standard_Integer p)
const PColStd_FieldOfHArray1OfPersistent & | _CSFDB_GetPColStd_HArray1OfPersistentData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColStd_FieldOfHArray1OfPersistent | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColStd_FieldOfHArray1OfPersistent | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(Standard_Persistent)& | V
| ) |

PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( |  | ) | `[inline]`

PColStd_HArray1OfPersistent::PColStd_HArray1OfPersistent | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColStd_FieldOfHArray1OfPersistent& PColStd_HArray1OfPersistent::_CSFDB_GetPColStd_HArray1OfPersistentData | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfPersistent::_CSFDB_GetPColStd_HArray1OfPersistentLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray1OfPersistent::_CSFDB_GetPColStd_HArray1OfPersistentUpperBound | ( |  | ) | const`[inline]`

void PColStd_HArray1OfPersistent::_CSFDB_SetPColStd_HArray1OfPersistentLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray1OfPersistent::_CSFDB_SetPColStd_HArray1OfPersistentUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColStd_HArray1OfPersistent::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColStd_FieldOfHArray1OfPersistent PColStd_HArray1OfPersistent::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColStd_HArray1OfPersistent::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColStd_HArray1OfPersistent::Length | ( |  | ) | const

Standard_Integer PColStd_HArray1OfPersistent::Lower | ( |  | ) | const

Standard_EXPORT void PColStd_HArray1OfPersistent::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Standard_Persistent)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HArray1OfPersistent::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HArray1OfPersistent::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColStd_HArray1OfPersistent::Upper | ( |  | ) | const

Standard_EXPORT Handle_Standard_Persistent PColStd_HArray1OfPersistent::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColStd_FieldOfHArray1OfPersistent PColStd_HArray1OfPersistent::Data `[private]`

Standard_Integer PColStd_HArray1OfPersistent::LowerBound `[private]`

Standard_Integer PColStd_HArray1OfPersistent::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColStd_HArray1OfPersistent.hxx